Bug 203708 - Don't leak documents with a pending requestIdleCallback
Summary: Don't leak documents with a pending requestIdleCallback
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ryosuke Niwa
URL:
Keywords: InRadar
Depends on:
Blocks: 164193 202843
  Show dependency treegraph
 
Reported: 2019-10-31 17:31 PDT by Ryosuke Niwa
Modified: 2019-11-04 09:10 PST (History)
14 users (show)

See Also:


Attachments
Fixes the bug (8.87 KB, patch)
2019-10-31 17:40 PDT, Ryosuke Niwa
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2019-10-31 17:31:30 PDT
Even when there is a pending requestIdleCallback, documents that have been stopped should be immediately collected.
Comment 1 Ryosuke Niwa 2019-10-31 17:40:32 PDT
Created attachment 382527 [details]
Fixes the bug
Comment 2 WebKit Commit Bot 2019-11-01 10:03:58 PDT
The commit-queue encountered the following flaky tests while processing attachment 382527 [details]:

requestidlecallback/requestidlecallback-document-gc.html bug 203745
The commit-queue is continuing to process your patch.
Comment 3 WebKit Commit Bot 2019-11-01 10:04:43 PDT
Comment on attachment 382527 [details]
Fixes the bug

Clearing flags on attachment: 382527

Committed r251924: <https://trac.webkit.org/changeset/251924>
Comment 4 WebKit Commit Bot 2019-11-01 10:04:45 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Radar WebKit Bug Importer 2019-11-01 10:05:15 PDT
<rdar://problem/56819242>
Comment 6 Jonathan Bedard 2019-11-01 14:03:20 PDT
This test has been flakey since it was landed:
https://results.webkit.org/?suite=layout-tests&test=requestidlecallback%2Frequestidlecallback-document-gc.html
Comment 7 Jonathan Bedard 2019-11-01 14:05:08 PDT
wk1 on Catalina and Mojave are failing ~50% of the time.
Comment 8 Jonathan Bedard 2019-11-04 09:10:00 PST
(In reply to Jonathan Bedard from comment #7)
> wk1 on Catalina and Mojave are failing ~50% of the time.

Ryosuke fixed this, <https://trac.webkit.org/changeset/251944>